PORTMAP(8)

NAME
portmap - Internet protocol port to RPC program number mapper

SYNOPSIS
portmap [-d]

DESCRIPTION
portmap is a server that converts RPC program numbers into Internet protocol port numbers. It must be running in order to make RPC calls.

When an RPC server is started, it will tell portmap what port number it is listening to, and what RPC program numbers it is prepared to serve. When a client wishes to make an RPC call to a given program number, it will first contact portmap on the server machine to determine the port number where RPC packets should be sent.

portmap must be started before any RPC servers are invoked.

Normally portmap forks and dissociates itself from the terminal like any other daemon. portmap then logs errors using syslog(3).

The options are as follows:

-d  (debug) prevents portmap from running as a daemon, and causes errors and debugging information to be printed to the standard error output.

SEE ALSO
inetd(8), rpcinfo(8)

HISTORY
The portmap command appeared in 4.3BSD.

BUGS
If portmap crashes, all servers must be restarted.